#### Description:

A XmlChan is a specialised form of Channel which supports XML I/O operations. Writing an Object to an XmlChan (using astWrite) will, if the Object is suitable, generate an XML description of that Object, and reading from an XmlChan will create a new Object from its XML description.

Normally, when you use an XmlChan, you should provide `"` source`"` and `"` sink`"` functions which connect it to an external data store by reading and writing the resulting XML text. These functions should perform any conversions needed between external character encodings and the internal ASCII encoding. If no such functions are supplied, a Channel will read from standard input and write to standard output.

Alternatively, an XmlChan can be told to read or write from specific text files using the SinkFile and SourceFile attributes, in which case no sink or source function need be supplied.

#### Constructor Function

astXmlChan

#### Inheritance

The XmlChan class inherits from the Channel class.

#### Attributes

In addition to those attributes common to all Channels, every XmlChan also has the following attributes:

- XmlFormat: System for formatting Objects as XML

- XmlLength: Controls output buffer length

- XmlPrefix: The namespace prefix to use when writing

#### Functions

The XmlChan class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory